---
title: Privacy request status
slug: reference/privacy-request-status
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "zYpo_q2IKuxe5iALRqiXU",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.forter-secure.com/privacy/requests/{id}/status",
    "servers": [
      {
        "url": "https://api.forter-secure.com/privacy/requests/{id}/status"
      }
    ],
    "name": "Privacy request status",
    "description": "Check the status of a previously submitted privacy request.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "description": ""
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "api-version",
          "type": "string",
          "example": "10.3",
          "description": "Specify the version of the API to target."
        },
        {
          "kind": "required",
          "name": "x-forter-siteid",
          "type": "string",
          "example": "a1b2c3d4e5f6",
          "description": "<p>Forter-assigned ID for your account. Note that your Site ID for your test site is different from your production site.</p>"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Example privacyStatusResponse",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Response object containing status information of a given privacy request.",
            "customType": "privacyStatusResponse",
            "schema": [
              {
                "name": "requestUniqueId",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of this privacy request",
                "example": "2023-04-23T060200931-ax32-privacy"
              },
              {
                "name": "status",
                "kind": "required",
                "type": "string<IN_PROGRESS | COMPLETED | CANCELED>",
                "description": "Current status of this privacy request",
                "example": "IN_PROGRESS",
                "enum": [
                  "IN_PROGRESS",
                  "COMPLETED",
                  "CANCELED"
                ]
              }
            ],
            "modelRef": "#/components/schemas/privacyStatusResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "<p>Bad Request (Often missing a required parameter)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized (No valid API key provided)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found (The requested item doesn't exist)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "<p>Server Error (Something went wrong on Forter's end)</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "lPYijTpU8kZL3FuqRZF7y",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.forter-secure.com/privacy/requests/{id}/status \\\n     --header 'accept: application/json' \\\n     --header 'api-version: 10.3' \\\n     --header 'x-forter-siteid: a1b2c3d4e5f6'"
        },
        {
          "id": "eWfk9XEt-9CBUni9vkokY",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"api-version\", \"10.3\");\nmyHeaders.append(\"x-forter-siteid\", \"a1b2c3d4e5f6\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.forter-secure.com/privacy/requests/{id}/status\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "2qBLC9N7YX25jVX2F7dQk",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.forter-secure.com/privacy/requests/{id}/status\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"api-version\"] = \"10.3\"\nrequest[\"x-forter-siteid\"] = \"a1b2c3d4e5f6\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "JyeTnlBHjJMmPbAP3G0-T",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.forter-secure.com/privacy/requests/{id}/status\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'api-version': '10.3',\n   'x-forter-siteid': 'a1b2c3d4e5f6'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "lPYijTpU8kZL3FuqRZF7y"
    },
    "results": {
      "languages": [
        {
          "id": "olaJvuTJMb7qpWugpdYYm",
          "language": "200",
          "code": "// Example privacyStatusResponse\n{\n  \"requestUniqueId\": \"2023-04-23T060200931-ax32-privacy\",\n  \"status\": \"IN_PROGRESS\"\n}"
        },
        {
          "id": "-3xt6AGIfmZ9zmzjbn67z",
          "language": "400",
          "code": "// Bad Request (Often missing a required parameter)\n"
        },
        {
          "id": "vQNFGAtmX1_v9rUiFE_RQ",
          "language": "401",
          "code": "// Unauthorized (No valid API key provided)\n"
        },
        {
          "id": "Vd-tBscEIC9hX5f1thpsE",
          "language": "404",
          "code": "// Not Found (The requested item doesn't exist)\n"
        },
        {
          "id": "cIqNlLq9Xsp8xPQQgD7Cb",
          "language": "500",
          "code": "// Server Error (Something went wrong on Forter's end)\n"
        }
      ],
      "selectedLanguageId": "olaJvuTJMb7qpWugpdYYm"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}